# Financial Derivatives Library in Python

This is a financial derivatives library that allows you to calculate the valuation and payoff of European Put and Call options. Additionally, it allows you to build portfolios of options to create different strategies.

By default ***finderivatives*** has the following strategies:

- Covered Call
- Reverse Covered Call
- Protective Put
- Reverse Protective Put
- Bull Spread Call
- Bull Spread Put
- Bear Spread Call
- Bear Spread Put
- Butterfly Spread Call
- Butterfly Spread Put
- Straddle
- Strip
- Strap
- Strangle

## Installation

To install finderivatives it is necessary to have the numpy and scipy libraries previously installed. These libraries allow the calculation processes to be executed in a robust manner.

Currently finderivatives is available in the Python Package Index (PyPI) repository.

### PyPI Repository

To install from PyPI, you must execute the following command from the console:

```
pip install finderivatives
```

## Motivation

Derivatives are financial products widely used in the financial industry for speculative and risk management purposes. Understanding it from the most basic instruments can sometimes be difficult and abstract considering that its value is based on an underlying asset.

This library has the purpose of contributing to the academic community in understanding the most basic concepts of financial derivatives, taking valuation concepts from theory to practice using Python.

In the future, it is expected to strengthen the library's applications with more complex instruments and new valuation methods in accordance with market trends.

